Bug 192773 (arm_nspr) - [PATCH] Add ARM support for devel/nspr
Summary: [PATCH] Add ARM support for devel/nspr
Status: Closed FIXED
Alias: arm_nspr
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: freebsd-gecko (Nobody)
URL: https://reviews.freebsd.org/D617
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-18 00:55 UTC by Sean Bruno
Modified: 2014-08-28 20:15 UTC (History)
4 users (show)

See Also:


Attachments
Add ARM support for detection (2.60 KB, patch)
2014-08-18 00:55 UTC, Sean Bruno
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2014-08-18 00:55:58 UTC
Created attachment 145949 [details]
Add ARM support for detection

Add compile time support for ARM after review, redports test on amd64/i386 and test build under QEMU support

Redports

https://redports.org/buildarchive/20140818002502-52216/

Phabric Review:

https://reviews.freebsd.org/D617
Comment 1 Sean Bruno freebsd_committer 2014-08-20 17:06:08 UTC
Poudriere build log with this patch:

http://chips.ysv.freebsd.org/data/11armv632-default/2014-08-20_00h11m25s/logs/nspr-4.10.6.log
Comment 2 Florian Smeets freebsd_committer 2014-08-21 17:55:27 UTC
Jan any comment on this patch? If it looks of, can you take care of upstreaming it?

Thanks,
Florian
Comment 3 Jan Beich freebsd_committer 2014-08-23 17:03:27 UTC
Comment on attachment 145949 [details]
Add ARM support for detection

Looks and builds fine on amd64 with nspr-4.10.7. A bit unclear why BROKEN wasn't removed together. Do you need one more patch to build on ARM?

(In reply to Florian Smeets from comment #2)
> If it looks of, can you take care of upstreaming it?

Uploaded. NSPR/NSS have very slow review process unlike the rest of Mozilla projects.
Comment 4 Sean Bruno freebsd_committer 2014-08-23 19:08:19 UTC
(In reply to Jan Beich from comment #3)
> Comment on attachment 145949 [details]
> Add ARM support for detection
> 
> Looks and builds fine on amd64 with nspr-4.10.7. A bit unclear why BROKEN
> wasn't removed together. Do you need one more patch to build on ARM?
> 
> (In reply to Florian Smeets from comment #2)
> > If it looks of, can you take care of upstreaming it?
> 
> Uploaded. NSPR/NSS have very slow review process unlike the rest of Mozilla
> projects.


In my case, ARCH seems to have been "armv6"

But, it should be removed with this update.
Comment 5 Jan Beich freebsd_committer 2014-08-24 05:47:11 UTC
landed upstream - https://hg.mozilla.org/projects/nspr/rev/1fb699490ea7
Comment 6 commit-hook freebsd_committer 2014-08-28 20:13:59 UTC
A commit references this bug:

Author: sbruno
Date: Thu Aug 28 20:13:24 UTC 2014
New revision: 366453
URL: http://svnweb.freebsd.org/changeset/ports/366453

Log:
  Add needed ARM arch definitions to build natively on ARM.

  Upstream commit: https://hg.mozilla.org/projects/nspr/rev/1fb699490ea7

  Phabric:	https://reviews.freebsd.org/D617
  PR:		192773
  Reviewed by:	Jan Beich <jbeich@vfemail.net>
  Approved by:	bapt

Changes:
  head/devel/nspr/Makefile
  head/devel/nspr/files/patch-bug782113